# -*- coding: utf-8 -*-
"""

Tracé d'un spectre RMN et de sa courbe d'intégration

"""
import matplotlib.pyplot as plt
from math import *

""" LECTURE DU FICHIER TEXT """

fichier = open("RMN.txt")
lignes = fichier.readlines() # lignes contient une liste de données sous la forme delta ; intensité
fichier.close()

# Construction des deux tableaux : l'instruction split(';') permet de séparer la chaîne de caractère
# en sous chaînes de caractère : on récupère un tableau de chaînes.
delta = []
intensite = []

    
#tracé du spectre
plt.plot(delta, intensite)
plt.xlabel("- déplacement chimique (ppm)")
plt.ylabel("Intensité du signal")


# Construction de la courbe d'intégration
deltaIntegre=[]
integre=[]

#tracé de la courbe d'intégration
plt.plot(deltaIntegre, integre)
plt.xlabel("- déplacement chimique (ppm)")
plt.ylabel("Intégration")

# Tracé des courbes sur deux axes différents
#fig, ax1 = plt.subplots()
#ax1.plot(delta, intensite, 'r')
#ax1.set_xlabel('- déplacement chimique (ppm)')
#ax1.get_yaxis().set_visible(False)
#ax1.set_xlim(5,0)
#ax2 = ax1.twinx()
#ax2.plot(deltaIntegre, integre, 'b')
#ax2.get_yaxis().set_visible(False)
#ax2.set_xlim(5,0)
#plt.show()